import 'dart:ui';

class AppTranslations {
  static final AppTranslations _application = AppTranslations._internal();
  factory AppTranslations() => _application;
  AppTranslations._internal();

  final String assetLang = "assets/translate/";

  void UpdateSupportLanguagesCode(
      {List<Locale> supportedLanguages = const [
        Locale("en", "US"),
        Locale("vi", ""),
      ]}) {
    supportedLanguagesCodes.clear();
    supportedLanguages.forEach((element) {
      supportedLanguagesCodes.add(element.languageCode);
    });
  }

  List<String> supportedLanguagesCodes = [];
}
